
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#include "FrameMain.h"
#include "Text.h"
#include "CanvasMain.h"
#include "CanvasRun.h"
#include "data.h"

extern data dq;

FrameMain::FrameMain(wxFrame *parent, char *title, int x, int y, int width, int height, long style, char *name):
  wxFrame(parent, title, x, y, width, height, style, name)
{
  // Main child subwindow members.
  canvasMain = NULL;
  canvasRun = NULL;
  frameText = NULL;

  // Create child subwindows.
  canvasMain      = new CanvasMain(this, -1, -1, dq.size_canvas_x,dq.size_canvas_y);
  canvasRun      = new CanvasRun(this, -1, -1, dq.size_canvas_x,dq.size_canvas_y);

  canvasMain->Show(TRUE);
//canvasMain->Show(FALSE);
  canvasRun->Show(TRUE);
//canvasRun->Show(FALSE);

  // CANVAS TEXT 
  frameText = new FrameText(this, "Data Pad", 5, 36, 900, 600, wxSDI | wxDEFAULT_FRAME, "");
  frameText->Iconize(FALSE);
  frameText->Show(TRUE);

  // Ensure the subwindows get resized o.k.
  OnSize(width, height);

  // Centre frame on the screen.
//Centre(wxBOTH);

  // Show the frame.
  Show(TRUE);
}

FrameMain::~FrameMain(void)
{
}

Bool FrameMain::OnClose(void)
{
  // Clean up any associated data here.
  return TRUE;
}

void FrameMain::OnSize(int w, int h)
{
  // Let default member handle sizing for only one subwindow.
  wxFrame::OnSize(w, h);
}

void FrameMain::OnMenuCommand(int commandId)
{
  switch (commandId)
  {
    default:
      break;
  }
}

/* 
======================================================================
*/
