
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#include <iostream.h>
#include <math.h>
#include "lattice.h"

lattice::lattice(int dumm, int dumn)
{
     m  = dumm;
     n  = dumn;

     powm     = int( log(dumm)/log(2.) );
     pown     = int( log(dumn)/log(2.) );
     cout << "powers of lattice dim " << powm << " " << pown << "\n" << flush;

     status_pix = new float[m*n];

     // INITIALIZE
     for (int i=0; i<(m*n); i++) status_pix[i] = 0.;
}

lattice::~lattice(void)
{
     delete [] status_pix;
}

float &lattice::operator()(int i, int j)
{
        return *(status_pix + (i<<pown) + j);
}

void lattice::resize(int dumm, int dumn)
{
     m  = dumm;
     n  = dumn;

     powm     = int( log(dumm)/log(2.) );
     pown     = int( log(dumn)/log(2.) );
     cout << "powers of lattice dim " << powm << " " << pown << "\n" << flush;

     delete [] status_pix;
     status_pix = new float[m*n];

     // INITIALIZE
     for (int i=0; i<(m*n); i++) status_pix[i] = 0.;
}

void lattice::Clear(void)
{
     // INITIALIZE
     for (int i=0; i<(m*n); i++) status_pix[i] = 0.;
}

/*
======================================================================
*/
