
/*
 * Luis Cruz
 * Center for Polymer Studies
 * Boston University
 * August, 1997
 * ccruz@bu.edu
 *
 */

#include <math.h>
#include "lattice.h"
#include "data.h"
#include "latticefunc.h"

void put_init_0(lattice &z)
{
   z.resize(1024,1024);
   for (int i=0; i<z.m; i++)
      for (int j=0; j<z.m; j++)
      {
  	 z(i,j) =  float(i)/1024.;
      }
}

float ramp_func(float x, data &dq)
{
/*
      float func_x = 1./ (1. + exp( dq.beta *(dq.mu-x ) ));
      float func_1 = 1./ (1. + exp( dq.beta *(dq.mu-1.) ));
      float dum2 = 1. - func_1 + func_x;
*/
      float func_x = 1./ (1. + exp( dq.beta *(dq.mu-x ) ));
      float func_1 = 1./ (1. + exp( dq.beta *(dq.mu-1.) ));
      float func_0 = 1./ (1. + exp( dq.beta *(dq.mu-0.) ));
      float A      = 1./(func_1-func_0);
      float dum2   = A * ( func_x - func_0 );

      return dum2;
}

void do_mask_channel(lattice &mask_lattice, lattice &test_lattice, float thres)
     // GIVEN A MASK CHANNEL, MODIFIES THE TEST CHANNEL SO THAT
     // WHEREVER MASK CHANNEL DOES NOT EXIST, TEST CHANNEL IS PUT
     // TO 0.
{
     int i,j;

     for (i=0; i<mask_lattice.m; i++)
        for (j=0; j<mask_lattice.n; j++)
           if ( mask_lattice(i,j) < thres ) test_lattice(i,j) = 0.;
}

/*
======================================================================
*/
